import { NumberInput } from "./NumberInput.js";
import { SatoshiInputLabel } from "./SatoshiInputLabel.js";
import { Fragment } from "react";
import { jsx, jsxs } from "@emotion/react/jsx-runtime";
//#region src/components/SatoshiInput.tsx
function SatoshiInput({ label, maxValue, error, ...rest }) {
	return /* @__PURE__ */ jsxs(Fragment, { children: [label && /* @__PURE__ */ jsx(SatoshiInputLabel, {
		text: label.text,
		availableSats: label.availableSats,
		showTooltip: label.showTooltip
	}), /* @__PURE__ */ jsx(NumberInput, {
		placeholder: "SATs",
		...rest,
		allowDecimals: false,
		icon: {
			name: "SatoshiRounded",
			side: "left"
		},
		maxValue: maxValue ? Math.floor(maxValue) : void 0,
		error
	})] });
}
//#endregion
export { SatoshiInput, SatoshiInput as default };
